General
cancel
Showing results for 
Search instead for 
Did you mean: 

Error installing Apache 2.2.11 on HP-UX 11.11

 
Highlighted
Occasional Advisor

Error installing Apache 2.2.11 on HP-UX 11.11

Error executing make operation during Apache 2.2.11 install. Error as shown below;

Making all in support
/opt/apache/httpd-2.2.11/srclib/apr/libtool --silent --mode=compile gcc -g -O2 -pthread -DHPUX11 -D_REENTRANT -D_HPUX_SOURCE -D_LARGEFILE64_SOURCE -I/opt/apache/httpd-2.2.11/srclib/pcre -I. -I/opt/apache/httpd-2.2.11/os/unix -I/opt/apache/httpd-2.2.11/server/mpm/prefork -I/opt/apache/httpd-2.2.11/modules/http -I/opt/apache/httpd-2.2.11/modules/filters -I/opt/apache/httpd-2.2.11/modules/proxy -I/opt/apache/httpd-2.2.11/include -I/opt/apache/httpd-2.2.11/modules/generators -I/opt/apache/httpd-2.2.11/modules/mappers -I/opt/apache/httpd-2.2.11/modules/database -I/opt/apache/httpd-2.2.11/srclib/apr/include -I/opt/apache/httpd-2.2.11/srclib/apr-util/include -I/opt/apache/httpd-2.2.11/srclib/apr-util/xml/expat/lib -I/opt/apache/httpd-2.2.11/modules/proxy/../generators -I/opt/apache/httpd-2.2.11/modules/ssl -I/opt/apache/httpd-2.2.11/modules/dav/main -prefer-non-pic -static -c htpasswd.c && touch htpasswd.lo
/opt/apache/httpd-2.2.11/srclib/apr/libtool --silent --mode=link gcc -g -O2 -pthread -o htpasswd htpasswd.lo -lm /opt/apache/httpd-2.2.11/srclib/pcre/libpcre.la /opt/apache/httpd-2.2.11/srclib/apr-util/libaprutil-1.la /opt/apache/httpd-2.2.11/srclib/apr-util/xml/expat/lib/libexpat.la /opt/apache/httpd-2.2.11/srclib/apr/libapr-1.la -lrt -lm -lpthread -ldld
libtool: link: warning: this platform does not like uninstalled shared libraries
libtool: link: `htpasswd' will be relinked during installation
/usr/ccs/bin/ld: Unsatisfied symbols:
apr_generate_random_bytes (first referenced in .libs/htpasswd.o) (code)
collect2: ld returned 1 exit status
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
fedra:/opt/apache/httpd-2.2.11 >

Similar error found in a Post; link shown below

http://forums11.itrc.hp.com/service/forums/bizsupport/questionanswer.do?admit=109447626+1245179939785+28353475&threadId=1297740

Tried executing solution in attachment at end of post. However, still got following make error;

Making all in srclib
Making all in apr
Making all in apr-util
Making all in xml/expat
/bin/sh ./libtool --silent --mode=link gcc -I/opt/apache/httpd-2.2.11/srclib/apr-util/xml/expat/lib -I. -g -O2 -Wall -Wmissing-prototypes -Wstrict-prototypes -fexceptions -DHAVE_EXPAT_CONFIG_H -o examples/elements libexpat.la
libtool: link: warning: this platform does not like uninstalled shared libraries
libtool: link: `examples/elements' will be relinked during installation
/usr/ccs/bin/ld: Unsatisfied symbols:
main (Not referenced yet! Probably due to -u option)
collect2: ld returned 1 exit status
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
fedra:/opt/apache/httpd-2.2.11 >




15 REPLIES 15
Highlighted
Respected Contributor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

Hi Mark,

I showed the procedure using latest expat-2.0.1 instead of the
bundled expat in the past thread. Do you have the same need to
use the latest expat ?

What kind of options do you specify to the configure script
using gcc, not HP ANSI C compiler ?

Thank you,

Shinji
Highlighted
Occasional Advisor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

No, I don't have any particular need to use the 2.0.1 version of expat. I am just trying to get past the initial make error; where it can't seem to find apr_generate_random_bytes.

When I execute the configure script I am only using the --prefix option. From the output of configure, it does seem to find gcc. I am attaching the results of the configure script.
Highlighted
Respected Contributor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

You have to specify LDFLAGS to the configure script to avoid apr
unsat error as you encounted:

LDFLAGS="-Wl,-E \
-Wl,+b,/opt/apache/lib \
-L`pwd`/srclib/apr/.libs \
-L`pwd`/srclib/apr-util/xml/expat/.libs \
-L`pwd`/srclib/apr-util/.libs"

Good luck !!
Highlighted
Occasional Advisor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

Thanks for the quick reply. Do I put the LDFLAGS into the configure script or specify it on the command line?
Highlighted
Respected Contributor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

I always give LDFLAGS to configure script directly as I mentioned
in the past.
Highlighted
Occasional Advisor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

I added the LDFLAGS to the configure script, ran it, and then did the make. Unfortunately I got the same error. I am attaching the output from the configure and will attach the make output to my next post.
Highlighted
Occasional Advisor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

Output from make showing same error with unstatisfied symbols; apr_generate_random_bytes
Highlighted
Honored Contributor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

I know nothing, but a Google search for
apache apr_generate_random_bytes
found:

http://www.nabble.com/Problem-compiling-apache-httpd-2.2.9-on-HP-UX-td19637631.html

which offers some suggestions.
Highlighted
Respected Contributor

Re: Error installing Apache 2.2.11 on HP-UX 11.11

Mark> Output from make showing same error with unstatisfied symbols;

Because you didn't specify the correct directory paths to LDFLAGS
in order to avoid link-time unsat error.

Looking at your output from the configure script, I can see as follows:

> restoring LDFLAGS to "-Wl,-E -Wl,+b,/opt/apache/lib
> -L/opt/apache/srclib/apr/.libs
> -L/opt/apache/srclib/apr-util/xml/expat/.libs
> -L/opt/apache/srclib/apr-util/.libs"

As I mentioned, you have to specify as follows:

LDFLAGS="-Wl,-E \
-Wl,+b,/opt/apache/lib \
-L`pwd`/srclib/apr/.libs \
-L`pwd`/srclib/apr-util/xml/expat/.libs \
-L`pwd`/srclib/apr-util/.libs"

NOTE: Suppose that Apache 2.2.11 is installed in /opt/apache and
its libraries are installed in /opt/apache/lib.

You should not replace -L`pwd` with -L/opt/apache.